##
# Set up automatic upgrades via pacman
class pacman::automaticupgrades (
  $bootdelay = '1min',
  $frequency = '86400'
) {
  file { '/etc/systemd/system/automatic-upgrades.service':
    ensure  => 'file',
    content => template('serverless/automatic-upgrades.service.erb'),
    notify  =>  Exec['automatic-upgrades refresh systemd']
  }

  file { '/etc/systemd/system/automatic-upgrades.timer':
    ensure  => 'file',
    content => template('serverless/automatic-upgrades.timer.erb'),
    notify  =>  Exec['automatic-upgrades refresh systemd']
  }

  file { '/etc/systemd/system/multi-user.target.wants/automatic-upgrades.timer':
    ensure  => 'link',
    target  => '/etc/systemd/system/automatic-upgrades.timer',
    require => File['/etc/systemd/system/automatic-upgrades.timer'],
    notify  =>  Exec['automatic-upgrades refresh systemd']
  }

  exec { 'automatic-upgrades refresh systemd':
    command     => 'systemctl daemon-reload',
    refreshonly => true,
    path        => ['/usr/bin', '/bin']
  }
  ~> exec { 'Start automatic-upgrades':
    command     => 'systemctl start automatic-upgrades.timer',
    refreshonly => true,
    path        => ['/usr/bin', '/bin']
  }
}
